<?php
// $Id: moodle.admin.inc,v 1.1 2009/02/19 18:09:26 chris Exp $

/**
 * @file
 * Admin page callbacks for the moodle module.
 */

/**
 * Implementation of hook_settings().
 */
function moodle_admin_settings() {
  $form['moodle_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Moodle URL'),
    '#default_value' => variable_get('moodle_url', ''),
    '#size' => 60,
    '#maxlength' => 244,
    '#description' => t("Specify the full URL of your Moodle installation home page.  Include the trailing slash.  For example, http://moodle.example.com/"),
  );

  $form['moodle_page_intro'] = array(
    '#type' => 'textarea',
    '#title' => t('Introductory text for Moodle course page'),
    '#default_value' => variable_get('moodle_page_intro', ''),
    '#description' => t("Any plain text or HTML desired to describe the Moodle system.  By default, this is displayed above the list of upcoming Moodle courses.  HTML can be used with a theme's CSS to adjust location if desired."),
  );

  $form['moodle_menu_link'] = array(
      '#type' => 'select',
      '#title' => t('Moodle site link menu'),
      '#default_value' => variable_get('moodle_menu_link', 'navigation'),
      '#options' => menu_get_menus(),
      '#description' => t('The maximum depth for an item and all its children   is fixed at !maxdepth. Some menu items may not be available as parents if       selecting them would exceed this limit.', array('!maxdepth' => MENU_MAX_DEPTH)),
      '#attributes' => array('class' => 'menu-title-select'),
    );

  return system_settings_form($form);
}

function moodle_admin_settings_validate($form, &$form_state) {
  _moodle_add_menu_link();
}
